function QuickBars_SlashCommand()
    if (QuickBars_Options_Frame:IsShown()) then
        QuickBars_OptionsClose();
    else
        QuickBars_OptionsOpen();
    end
end

function QuickBars_Toggle_Show()
    local Cur_Bar = getglobal("QuickBar"..string.format("%d", QuickBars_ID));
    if (Cur_Bar:IsShown()) then
        Cur_Bar:Hide();
    else
        Cur_Bar:Show();
    end
end

function QuickBars_onload(self)
    SLASH_QUICKBARS1 = "/quickbars";
    SLASH_QUICKBARS2 = "/qb";
    SlashCmdList["QUICKBARS"] = QuickBars_SlashCommand;

    self.Action_Button = {};
    
    self:SetAttribute("hide", 0);
    
    for i=1, 6 do
        self.Action_Button[i] = getglobal(self:GetName().."_ButtonHideAnchor_Action"..string.format("%d",i));
    
        self.Action_Button[i]:SetAttribute("type1", "action");
        self.Action_Button[i]:SetAttribute("action", (self:GetID()-1)*6+i);
    end
    
    self:SetAttribute("_onenter", [[
        for i,buttonAnchor in ipairs(newtable(self:GetChildren())) do
            buttonAnchor:Show();
            buttonAnchor:RegisterAutoHide("1");
            for i,button in ipairs(newtable(buttonAnchor:GetChildren())) do
                button:Show();
                buttonAnchor:AddToAutoHide(button,buttonAnchor);
            end 
        end
    ]]);
    
    self:SetAttribute("_onreceivedrag", [[
        for i,buttonAnchor in ipairs(newtable(self:GetChildren())) do
            buttonAnchor:Show();
            buttonAnchor:RegisterAutoHide("1");
            for i,button in ipairs(newtable(buttonAnchor:GetChildren())) do
                button:Show();
                buttonAnchor:AddToAutoHide(button,buttonAnchor);
            end 
        end
    ]]);
    
    self:RegisterEvent("VARIABLES_LOADED");
	self:RegisterEvent("PET_BATTLE_OPENING_START");
	self:RegisterEvent("PET_BATTLE_CLOSE");
	QuickBars_Options_Frame_BarSelect_DropDown_CurrentBar:SetText(getglobal("QuickBars_BarSelectButton"..string.format("%d", QuickBars_ID)));
    QuickBars_Collapse(self);
end

function QuickBars_init(self)
	local i = self:GetID(self);
	getglobal( "QuickBar"..string.format("%d", i).."_IDString" ):SetText( string.format("%d.%d", (i + 1) / 2, 2 - (i % 2)) );
	--getglobal( "QuickBar"..string.format("%d", i).."_IDString" ):SetText( "X" );
    QuickBars_Update( i );
    if (QuickBars_Options.Show[i] == false) then
        self:Hide();
	else
		self:Show();
    end
end

function QuickBars_Collapse(self)
    for i=1, 6 do
        self.Action_Button[i]:Hide();
    end
end